### Method

# Gtk TreeView enable_model_drag_source

#### Declaration [src]

    void
    gtk_tree_view_enable_model_drag_source (
      GtkTreeView* tree_view,
      GdkModifierType start_button_mask,
      GdkContentFormats* formats,
      GdkDragAction actions
    )

#### Description [src]

Turns `tree_view` into a drag source for automatic DND. Calling this method sets `GtkTreeView`:reorderable to `FALSE`.

#### Parameters

`start_button_mask` | `GdkModifierType`
| Mask of allowed buttons to start drag.
`formats` | `GdkContentFormats*`
| The target formats that the drag will support.
| The data is owned by the caller of the function.
`actions` | `GdkDragAction`
| The bitmask of possible actions for a drag from this widget.